> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tapify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Teamleden ophalen

> Haal teamleden op uit de workspace die bij je API-sleutel hoort.

Geeft teamleden terug van nieuw naar oud, met hun namen, inlogadressen, links naar visitekaartjes en uitnodigingsstatus.

De `id` van een teamlid is ook de profiel-ID. Gebruik deze om het teamlid op te halen, bij te werken of te verwijderen, of om een contact toe te wijzen met `connectedWithProfileId`. De aparte `accountId` verwijst naar het account.

Gebruik `limit` en `offset` om meerdere pagina's op te halen. Elk antwoord bevat maximaal 100 teamleden en een `pagination`-object. Ga verder zolang `hasMore` de waarde `true` heeft. [Voorbeeld van paginering](https://docs.tapify.app/nl/api-reference/requests.md#pagination)


## OpenAPI

````yaml nl/api-reference/openapi.json GET /team-members
openapi: 3.0.3
info:
  title: Tapify API
  version: 1.0.0
  description: >-
    Lees en beheer opgeslagen contacten, teamleden en hun digitale
    visitekaartjes in één Tapify Teams-workspace. Vereist Teams Connect-toegang
    en een API-sleutel voor de workspace.
servers:
  - url: https://tapify.app/api/v1
    description: Tapify API
security:
  - bearerAuth: []
  - apiKeyHeader: []
tags:
  - name: Workspace
    description: Controleer de workspace die aan een API-sleutel is gekoppeld.
  - name: Teamleden
    description: Beheer teamleden en hun digitale visitekaartjes.
  - name: Contacten
    description: Beheer contacten die in de workspace zijn verzameld.
  - name: Zapier
    description: >-
      Endpoints die de Tapify-integratie met Zapier gebruikt voor
      triggervoorbeelden en REST Hook-abonnementen.
paths:
  /team-members:
    get:
      tags:
        - Teamleden
      summary: Teamleden ophalen
      description: Geeft de teamleden uit de workspace terug, van nieuwste naar oudste.
      operationId: listTeamMembers
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          description: Een lijst met teamleden, verdeeld over pagina's
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamMemberListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/SubscriptionRequired'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: >-
        Maximaal aantal items per pagina. Waarden worden begrensd op 1–100; bij
        een ontbrekend of ongeldig getal wordt 100 gebruikt.
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 100
    Offset:
      name: offset
      in: query
      description: >-
        Aantal items dat vóór deze pagina wordt overgeslagen. Negatieve waarden
        worden 0; bij een ontbrekend of ongeldig getal wordt 0 gebruikt.
      required: false
      schema:
        type: integer
        minimum: 0
        default: 0
  schemas:
    TeamMemberListResponse:
      type: object
      required:
        - data
        - pagination
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TeamMember'
        pagination:
          $ref: '#/components/schemas/Pagination'
    TeamMember:
      type: object
      description: Een teamlid van de Tapify Teams-workspace.
      required:
        - id
        - workspaceId
        - accountId
        - status
        - firstName
        - lastName
        - displayName
        - email
        - jobTitle
        - department
        - avatarUrl
        - profileUrl
        - slug
        - contact
        - contactDetails
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          format: uuid
          description: Teamlid-id. Gebruik deze waarde in andere endpoints voor teamleden.
          example: 45fa16aa-2546-49b3-9d1e-7b7e1c9fb1e7
        workspaceId:
          type: string
          format: uuid
          description: Id van de workspace waarin het teamlid staat.
          example: 9df81bd4-3d76-42cc-9518-a019ea75a221
        accountId:
          type: string
          format: uuid
          description: Id van het Tapify-account van het teamlid.
          example: 0e35f7a8-e866-4f5d-b9cb-06961a130fef
        status:
          type: string
          enum:
            - not_invited
            - pending
            - active
            - failed
          description: >-
            Uitnodigingsstatus: not_invited betekent dat er geen uitnodiging is
            verstuurd; pending betekent dat het teamlid nog niet heeft
            geactiveerd; active betekent dat het account klaar is voor gebruik;
            failed betekent dat de uitnodiging niet kon worden afgeleverd.
          example: active
        firstName:
          type: string
          example: Mina
        lastName:
          type: string
          example: Park
        displayName:
          type: string
          description: Volledige naam, samengesteld uit firstName en lastName.
          example: Mina Park
        email:
          type: string
          format: email
          description: >-
            Inlogadres van het teamlid. Dit staat los van de e-mailadressen in
            contactDetails die op het visitekaartje worden gepubliceerd.
          example: mina@acme.com
        jobTitle:
          type: string
          nullable: true
          example: Head of Partnerships
        department:
          type: string
          nullable: true
          example: Partnerships
        avatarUrl:
          type: string
          format: uri
          nullable: true
          example: https://example.com/mina.jpg
        profileUrl:
          type: string
          format: uri
          description: Openbare link naar het digitale visitekaartje van het teamlid.
          example: https://tapify.app/mina-park
        slug:
          type: string
          description: Laatste deel van de URL van het digitale visitekaartje.
          example: mina-park
        contact:
          type: object
          description: >-
            Snelle toegang tot de eerste waarden voor telefoon, WhatsApp en
            website van het teamlid.
          required:
            - phone
            - whatsapp
            - website
          properties:
            phone:
              type: string
              nullable: true
              example: '+31612345678'
            whatsapp:
              type: string
              nullable: true
            website:
              type: string
              nullable: true
              example: https://acme.com
        contactDetails:
          type: array
          description: >-
            Contactgegevens die bij dit teamlidprofiel zijn opgeslagen. Gedeelde
            bedrijfsgegevens uit de brandkit zijn niet inbegrepen.
          items:
            $ref: '#/components/schemas/TeamMemberContactDetail'
        createdAt:
          type: string
          format: date-time
          description: Datum en tijd waarop het teamlid is toegevoegd.
          example: '2026-07-01T09:30:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: Datum en tijd waarop het teamlid voor het laatst is bijgewerkt.
          example: '2026-07-28T10:15:00.000Z'
    Pagination:
      type: object
      description: Informatie om door een lijst met resultaten te bladeren.
      required:
        - limit
        - offset
        - total
        - hasMore
      properties:
        limit:
          type: integer
          description: Maximaal aantal opgevraagde items.
          example: 100
        offset:
          type: integer
          description: Aantal items dat vóór het begin van deze pagina is overgeslagen.
          example: 0
        total:
          type: integer
          description: Totaal aantal overeenkomende items.
          example: 1
        hasMore:
          type: boolean
          description: true als er nog een pagina beschikbaar is.
          example: false
    ErrorResponse:
      type: object
      description: Informatie over een verzoek dat Tapify niet kon voltooien.
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              description: Korte code die de fout aangeeft.
              example: bad_request
            message:
              type: string
              description: Begrijpelijke uitleg van wat er misging.
              example: Request body is invalid.
            details:
              type: object
              description: >-
                Aanvullende informatie die kan helpen om het verzoek te
                corrigeren.
              additionalProperties: true
              nullable: true
    TeamMemberContactDetail:
      type: object
      description: Eén contactgegeven dat bij het teamlidprofiel is opgeslagen.
      required:
        - id
        - type
        - label
        - value
      properties:
        id:
          type: string
          format: uuid
          description: Id van dit opgeslagen contactgegeven.
          example: 33d5f285-64f7-41aa-bf9e-17a0fbf535af
        type:
          type: string
          description: Type contactgegeven.
          enum:
            - phone
            - email
            - website
            - address
            - social_media
        label:
          type: string
          nullable: true
          description: Label dat op het digitale visitekaartje wordt getoond.
          example: Mobile
        value:
          type: string
          example: '+31612345678'
        platform:
          $ref: '#/components/schemas/SocialPlatform'
        address:
          $ref: '#/components/schemas/Address'
    SocialPlatform:
      type: string
      description: Socialemediaplatform waarnaar deze link verwijst.
      enum:
        - facebook
        - instagram
        - linkedin
        - x
        - whatsapp
        - calendly
        - youtube
        - pinterest
        - spotify
        - tiktok
        - reddit
        - behance
        - bluesky
        - wechat
        - discord
        - dribbble
        - github
        - mastodon
        - medium
        - messenger
        - patreon
        - soundcloud
        - slack
        - telegram
        - snapchat
        - threads
        - twitch
        - yelp
    Address:
      type: object
      description: Een gestructureerd adres. Geef ten minste één niet-leeg veld mee.
      minProperties: 1
      properties:
        line1:
          type: string
          description: Straatnaam en huisnummer.
          example: Keizersgracht 391 A
        line2:
          type: string
          description: Appartement, unit, verdieping of andere aanvullende adresgegevens.
          example: ''
        city:
          type: string
          example: Amsterdam
        postalCode:
          type: string
          example: 1016 EJ
        country:
          type: string
          description: Landcode of landnaam.
          example: NL
  responses:
    Unauthorized:
      description: De API-sleutel ontbreekt, is onjuist of is verwijderd.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: invalid_api_key
              message: API key is invalid or revoked.
    SubscriptionRequired:
      description: >-
        De workspace heeft Teams Connect-toegang nodig. Controleer het
        abonnement, de abonnementsstatus en de einddatum van de proefperiode.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: subscription_required
              message: Tapify Teams Connect is required for this feature.
    RateLimited:
      description: Er zijn te veel verzoeken in korte tijd verstuurd.
      headers:
        Retry-After:
          description: Aantal seconden dat je moet wachten voordat je het opnieuw probeert.
          schema:
            type: integer
            example: 30
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: rate_limited
              message: Rate limit exceeded.
              details:
                retryAfter: 30
    InternalError:
      description: Tapify kon het verzoek niet voltooien.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: internal_error
              message: Something went wrong.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Tapify API key
      description: API-sleutel die is gemaakt via Instellingen → API-sleutels.
    apiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Alternatief voor Authorization: Bearer. Gebruik één authenticatiemethode
        per verzoek; een Bearer-token heeft voorrang.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.